<template>
	<div>
		<metainfo>
			<template v-slot:title="{ content }">{{ content ? `${content} // Online-Tools` : `Zierle-Training // Online-Tools` }}</template>
		</metainfo>

		<n-config-provider :theme="null">
			<n-message-provider>
				<NavBar v-if="!isHome" />
				<router-view />
			</n-message-provider>
		</n-config-provider>
	</div>
</template>

<script>
import { defineComponent } from 'vue'
import { useMeta } from 'vue-meta'
import {darkTheme} from 'naive-ui'

import NavBar from '@/components/NavBar'

export default defineComponent({
	components: {
		NavBar,
	},
	setup() {
		useMeta({
			title: '',
			htmlAttrs: { lang: 'en' }
		})
	},
	data() {
		return { darkTheme }
	},
	computed: {
		isHome() {
			return this.$route.name == 'Home'
		}
	}
})
</script>


<style lang="scss">
body,html {
	margin: 0;
	padding: 0;
}

* {
	font-family: v-sans;
	font-weight: 400;
}
</style>
